Subject: bug#76123: closed (Re: bug#76123: [PATCH] Eliminate savehist duplicated symbols)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Feb 2025 12:09:02 +0000

Your bug report

#76123: [PATCH] Eliminate savehist duplicated symbols

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76123: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76123
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76123: [PATCH] Eliminate savehist duplicated symbols
From: Eli Zaretskii <[email-masked]>
To: Ship Mints <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 08 Feb 2025 14:07:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ship Mints <[email-masked]>
> Date: Sat, 8 Feb 2025 05:38:47 -0500
> Cc: [email-masked], [email-masked]
> 
> Surely. Revised patch attached with a NEWS entry.

Thanks, installed on master, and closing the bug.

> I did not yet combine the two tests (the code is nearly duplicated) if that's what you think should be done so
> if you want me to do that, I can today.

I see no need.

Subject: [PATCH] Eliminate savehist duplicated symbols
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Fri, 7 Feb 2025 15:05:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch avoids savehist saving symbols duplicated between
'savehist-minibuffer-history-variables' and
'savehist-additional-variables'. I've accumulated symbols on
'savehist-additional-variables' that wind up, over time, in the master
minibuffer list documented as being dynamic.

  The contents of this variable is built while Emacs is running,
  and saved along with minibuffer history.

savehist had no defensive mechanism until now. The patch should do no harm
to users and will transparently save some resources.

TIA,

-Stephane